diff -pruN 0.20.9-1/ci/linux-deps 0.30.0-1/ci/linux-deps
--- 0.20.9-1/ci/linux-deps	1970-01-01 00:00:00.000000000 +0000
+++ 0.30.0-1/ci/linux-deps	2020-11-30 21:16:30.000000000 +0000
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+yum install -y openssl11-devel
+yum install -y libffi libffi-devel zlib-devel
+yum install -y bzip2-devel bzip2-libs xz-devel xz-libs
+
+python -m pip install pip --upgrade
+
+git submodule init
+git submodule update
+
+curl -O https://www.libssh2.org/download/libssh2-1.9.0.tar.gz
+tar xzf libssh2-1.9.0.tar.gz
+cd libssh2-1.9.0
+./configure --prefix=/root
+make
+make install
+cd ..
+rm -rf libssh2-1.9.0
+
+curl -O https://curl.se/download/curl-7.73.0.tar.gz
+tar xzf curl-7.73.0.tar.gz
+cd curl-7.73.0
+./configure --with-libssh2 --prefix=/root
+make
+make install
+cd ..
+rm -rf curl-7.73.0
+
+cd htslib
+autoheader
+autoconf
+./configure --enable-libcurl --enable-s3 --enable-lzma --enable-bz2
+make
+
+cd ..
+pip install -r requirements.txt
diff -pruN 0.20.9-1/ci/osx-deps 0.30.0-1/ci/osx-deps
--- 0.20.9-1/ci/osx-deps	1970-01-01 00:00:00.000000000 +0000
+++ 0.30.0-1/ci/osx-deps	2020-11-30 21:16:30.000000000 +0000
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+python -m pip install pip --upgrade
+
+git submodule init
+git submodule update
+
+cd htslib
+autoheader
+autoconf
+./configure --enable-libcurl --enable-s3 --enable-lzma --enable-bz2
+make
+
+cd ..
+pip install -r requirements.txt
diff -pruN 0.20.9-1/ci/test 0.30.0-1/ci/test
--- 0.20.9-1/ci/test	1970-01-01 00:00:00.000000000 +0000
+++ 0.30.0-1/ci/test	2020-11-30 21:16:30.000000000 +0000
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+if (cd ~/ && cyvcf2 --help >/dev/null)
+then
+  echo "cyvcf2 --help: OK"
+else
+  exit 1
+fi
+
+if (cd ~/ && python -c "from cyvcf2 import VCF; VCF('https://github.com/brentp/cyvcf2/raw/master/cyvcf2/tests/test.vcf.gz')")
+then
+  echo "Remote reading: OK"
+else
+  exit 1
+fi
diff -pruN 0.20.9-1/cyvcf2/__init__.py 0.30.0-1/cyvcf2/__init__.py
--- 0.20.9-1/cyvcf2/__init__.py	2020-10-07 13:35:15.000000000 +0000
+++ 0.30.0-1/cyvcf2/__init__.py	2020-11-30 21:16:30.000000000 +0000
@@ -2,4 +2,4 @@ from .cyvcf2 import (VCF, Variant, Write
                      par_het)
 Reader = VCFReader = VCF
 
-__version__ = "0.20.9"
+__version__ = "0.30.0"
diff -pruN 0.20.9-1/debian/changelog 0.30.0-1/debian/changelog
--- 0.20.9-1/debian/changelog	2020-10-12 05:37:26.000000000 +0000
+++ 0.30.0-1/debian/changelog	2020-12-04 14:28:00.000000000 +0000
@@ -1,3 +1,10 @@
+cyvcf2 (0.30.0-1) unstable; urgency=medium
+
+  * New upstream version
+  * Standards-Version: 4.5.1 (routine-update)
+
+ -- Nilesh Patra <npatra974@gmail.com>  Fri, 04 Dec 2020 19:58:00 +0530
+
 cyvcf2 (0.20.9-1) unstable; urgency=medium
 
   * New upstream version
diff -pruN 0.20.9-1/debian/control 0.30.0-1/debian/control
--- 0.20.9-1/debian/control	2020-10-12 05:37:25.000000000 +0000
+++ 0.30.0-1/debian/control	2020-12-04 14:27:59.000000000 +0000
@@ -21,7 +21,7 @@ Build-Depends: debhelper-compat (= 13),
                libhts-dev,
                libbz2-dev,
                help2man <!nodoc>
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/cyvcf2
 Vcs-Git: https://salsa.debian.org/med-team/cyvcf2.git
 Homepage: https://github.com/brentp/cyvcf2
diff -pruN 0.20.9-1/debian/upstream/metadata 0.30.0-1/debian/upstream/metadata
--- 0.20.9-1/debian/upstream/metadata	2020-10-12 05:35:27.000000000 +0000
+++ 0.30.0-1/debian/upstream/metadata	2020-12-04 14:27:13.000000000 +0000
@@ -17,7 +17,7 @@ Registry:
  - Name: OMICtools
    Entry: OMICS_20006
  - Name: bio.tools
-   Entry: NA
+   Entry: cyvcf2
  - Name: SciCrunch
    Entry: NA
  - Name: conda:bioconda
diff -pruN 0.20.9-1/.travis.yml 0.30.0-1/.travis.yml
--- 0.20.9-1/.travis.yml	2020-10-07 13:35:15.000000000 +0000
+++ 0.30.0-1/.travis.yml	2020-11-30 21:16:30.000000000 +0000
@@ -7,10 +7,15 @@ python:
   - "3.7"
   - "3.8"
 
+addons:
+  homebrew:
+    packages:
+    - openssl
+
 install:
   - sudo apt-get install libcurl4-openssl-dev
   - pip install -r requirements.txt
-  - cd htslib 
+  - cd htslib
   - autoheader && autoconf
   - ./configure --enable-s3 --disable-lzma --disable-bz2
   - make
@@ -19,3 +24,49 @@ install:
 
 script:
   - python setup.py test
+
+jobs:
+  include:
+  - os: linux
+    python: "3.7"
+    env:
+      - CIBW_SKIP="pp* cp27-* cp34-* *i686*"
+      - CIBW_MANYLINUX_X86_64_IMAGE=manylinux2014
+      - CIBW_BEFORE_BUILD_LINUX="{project}/ci/linux-deps"
+      - CIBW_TEST_COMMAND="{project}/ci/test"
+      - CIBW_ENVIRONMENT="CYTHONIZE=1 LDFLAGS='-L/usr/lib64/openssl11' CPPFLAGS='-I/usr/include/openssl11' C_INCLUDE_PATH='/root/include' LIBRARY_PATH='/root/lib'"
+    services: docker
+    install:
+      - python3 -m pip install cibuildwheel
+    script:
+      - python3 -m cibuildwheel --output-dir wheelhouse
+    after_success:
+      - |
+        if [ "${TRAVIS_TAG:-}" != "" ]; then
+          python3 -m pip install twine -U
+          python3 -m twine upload --repository testpypi --skip-existing wheelhouse/*
+          python3 setup.py sdist
+          python3 -m twine upload --repository testpypi --skip-existing dist/*
+        fi
+  - os: osx
+    osx_image: xcode10.2
+    language: shell
+    env:
+      - CIBW_SKIP="pp* cp27-* cp34-* *i686*"
+      - CIBW_MANYLINUX_X86_64_IMAGE=manylinux2014
+      - CIBW_BEFORE_BUILD_MACOS="{project}/ci/osx-deps"
+      - CIBW_TEST_COMMAND="{project}/ci/test"
+      - CIBW_ENVIRONMENT="CYTHONIZE=1"
+      - LDFLAGS="-L/usr/local/opt/openssl@1.1/lib"
+      - CPPFLAGS="-I/usr/local/opt/openssl@1.1/include"
+      - PKG_CONFIG_PATH="/usr/local/opt/openssl@1.1/lib/pkgconfig"
+    install:
+      - python3 -m pip install cibuildwheel
+    script:
+      - python3 -m cibuildwheel --output-dir wheelhouse
+    after_success:
+      - |
+        if [ "${TRAVIS_TAG:-}" != "" ]; then
+          python3 -m pip install twine -U
+          python3 -m twine upload --repository testpypi --skip-existing wheelhouse/*
+        fi
